function [out] = normalize(in, type, n_atoms)
% transform general function m,q,bel,pl into a normalized one

if strcmp(type,'bel'), out = in/in(length(in)); else
if strcmp(type,'pl'),  out = in/in(length(in)); else	
switch type
case 'm'
	out = in/(1-in(1)); out(1) = 0;
case 'b'
	out = (in-in(1))/(1-in(1)); out(1) = 0;
case 'q'
	cf = [1 -1];
	for i = 2:n_atoms
		cf = [cf -cf];
	end
	out = in /(1- cf*in'); out(1) = 1; 
case 'w'
	% this is not really a clever way to do it, 
	% but the request seems also so odd that I don't care
	q = wtoq(in);
	cf = [1 -1];
	for i = 2:n_atoms
		cf = [cf -cf];
	end
	out = in; 
	out(1) = in(1)/(1-cf*q');
end	
end
end
